var RealyIEVersion = (function() {
	var js_version = ScriptEngineMajorVersion() + ScriptEngineMinorVersion() * 0.1,
		version;
	if (js_version > 10) {
		version = 11;
	} else if (js_version == 10) {
		version = 10;
	} else if (js_version == 9) {
		version = 9;
	} else if (js_version == 5.8) {
		version = 8;
	} else if (js_version == 5.7 && window.XMLHttpRequest) {
		version = 7;
	} else if (js_version == 5.6 || (js_version == 5.7 && !window.XMLHttpRequest)) {
		version = 6;
	} else if (js_version == 5.5) {
		version = 5.5;
	} else {
		version = 5;
	}

	return {
		get: function() {
			return version;
		}
	}
})();